<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/EqualizerImplementations/include/EqualizerImplementations/EqualizerController.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_63c328d9f040c398ed3a99417a38689e.html">EqualizerImplementations</a></li><li class="navelem"><a class="el" href="dir_c3ab2912bcaa751858979eb56f868649.html">include</a></li><li class="navelem"><a class="el" href="dir_2b0702df2f3e533a62c24ce8fd2e9d93.html">EqualizerImplementations</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">EqualizerController.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;list&gt;</code><br />
<code>#include &lt;memory&gt;</code><br />
<code>#include &lt;mutex&gt;</code><br />
<code>#include &lt;set&gt;</code><br />
<code>#include &lt;<a class="el" href="_equalizer_configuration_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/EqualizerConfigurationInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_equalizer_controller_listener_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/EqualizerControllerListenerInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_equalizer_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/EqualizerInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_equalizer_mode_controller_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/EqualizerModeControllerInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_equalizer_storage_interface_8h_source.html">AVSCommon/SDKInterfaces/Audio/EqualizerStorageInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_success_result_8h_source.html">AVSCommon/Utils/Error/SuccessResult.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for EqualizerController.h:</div>
<div class="dyncontent">
<div class="center"><img src="_equalizer_controller_8h__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_equalizer_controller_8h" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_equalizer_controller_8h" id="_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_equalizer_controller_8h">
<area shape="rect" id="node6" href="_equalizer_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerConfiguration\lInterface.h" alt="" coords="1118,119,1316,171"/>
<area shape="rect" id="node8" href="_success_result_8h.html" title="AVSCommon/Utils/Error\l/SuccessResult.h" alt="" coords="339,292,503,331"/>
<area shape="rect" id="node17" href="_equalizer_controller_listener_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerControllerListener\lInterface.h" alt="" coords="422,119,646,171"/>
<area shape="rect" id="node18" href="_equalizer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerInterface.h" alt="" coords="669,125,860,164"/>
<area shape="rect" id="node19" href="_equalizer_mode_controller_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerModeController\lInterface.h" alt="" coords="884,119,1093,171"/>
<area shape="rect" id="node20" href="_equalizer_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/EqualizerStorageInterface.h" alt="" coords="171,125,399,164"/>
<area shape="rect" id="node10" href="hash_8h.html" title="AVSCommon/Utils/functional\l/hash.h" alt="" coords="897,292,1088,331"/>
<area shape="rect" id="node14" href="_equalizer_types_8h.html" title="EqualizerTypes.h" alt="" coords="714,219,837,244"/>
<area shape="rect" id="node9" href="_result_8h.html" title="Result.h" alt="" coords="386,379,456,404"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="_equalizer_controller_8h__dep__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_equalizer_controller_8hdep" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_equalizer_controller_8hdep" id="_2workplace_2avs-device-sdk_2_equalizer_implementations_2include_2_equalizer_implementations_2_equalizer_controller_8hdep">
<area shape="rect" id="node2" href="_default_client_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/include/DefaultClient\l/DefaultClient.h" alt="" coords="151,232,378,297"/>
<area shape="rect" id="node8" href="_sample_application_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/SampleApplication.cpp" alt="" coords="425,745,705,784"/>
<area shape="rect" id="node13" href="_equalizer_capability_agent_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Equalizer/include/Equalizer\l/EqualizerCapabilityAgent.h" alt="" coords="420,119,606,184"/>
<area shape="rect" id="node15" href="_equalizer_controller_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/src/EqualizerController.cpp" alt="" coords="696,125,900,177"/>
<area shape="rect" id="node16" href="_equalizer_controller_test_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/EqualizerImplementations\l/test/EqualizerControllerTest.cpp" alt="" coords="924,125,1137,177"/>
<area shape="rect" id="node3" href="_default_client_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/ApplicationUtilities\l/DefaultClient/src/DefaultClient.cpp" alt="" coords="393,345,622,397"/>
<area shape="rect" id="node4" href="_interaction_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/InteractionManager.h" alt="" coords="5,445,228,497"/>
<area shape="rect" id="node11" href="_keyword_observer_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/KeywordObserver.h" alt="" coords="155,345,370,397"/>
<area shape="rect" id="node5" href="_user_input_manager_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/UserInputManager.h" alt="" coords="8,545,226,597"/>
<area shape="rect" id="node10" href="_interaction_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/Interaction\lManager.cpp" alt="" coords="250,545,456,597"/>
<area shape="rect" id="node6" href="_sample_application_8h.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/include\l/SampleApp/SampleApplication.h" alt="" coords="7,645,226,697"/>
<area shape="rect" id="node9" href="_user_input_manager_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/UserInput\lManager.cpp" alt="" coords="250,645,453,697"/>
<area shape="rect" id="node7" href="main_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/main.cpp" alt="" coords="18,745,216,784"/>
<area shape="rect" id="node12" href="_keyword_observer_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/SampleApp/src/KeywordObserver.cpp" alt="" coords="252,452,528,491"/>
<area shape="rect" id="node14" href="_equalizer_capability_agent_8cpp.html" title="/workplace/avs&#45;device\l&#45;sdk/CapabilityAgents\l/Equalizer/src/EqualizerCapability\lAgent.cpp" alt="" coords="403,232,623,297"/>
</map>
</div>
</div>
<p><a href="_equalizer_controller_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_equalizer_controller.html">alexaClientSDK::equalizer::EqualizerController</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1equalizer"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html">alexaClientSDK::equalizer</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
